Bug 487593 - crash changing language in gdm
crash changing language in gdm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
: 487259 489733 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 16:34 EST by paolo borelli
Modified: 2009-03-11 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 20:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo borelli 2009-02-26 16:34:06 EST
crash when changing language in gdm with latest rawhide (pango 1.23.0). Rolling back to 1.22.4 fixes the crash

Reporting it here downstream because halfline advanced the doubt that gcc is to blame.



stack trace follows...


gdm-simple-greeter[3141]: DEBUG(+): GdmGreeterClient: Calling SelectLanguage
gdm-simple-greeter[3141]: GLib-GObject-CRITICAL: g_object_unref: assertion `G_IS_OBJECT (object)' failed
aborting...
gdm[3153]: ******************* START **********************************
gdm[3153]: [Thread debugging using libthread_db enabled]
Missing separate debuginfo for /usr/lib/libxcb.so.1
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/57/cda01bc51f573b94787ce60581c62c82da3b62.debug
gdm[3153]: 0x004d02ce in __waitpid_nocancel () from /lib/libpthread.so.0
gdm[3153]: #0  0x004d02ce in __waitpid_nocancel () from /lib/libpthread.so.0
gdm[3153]: #1  0x0806f6a9 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
gdm[3153]: #2  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
gdm[3153]: #3  0x0806f7a1 in signal_handler (signo=-1079564500)
gdm[3153]:     at gdm-signal-handler.c:247
gdm[3153]: #4  <signal handler called>
gdm[3153]: #5  IA__g_logv (log_domain=<value optimized out>, 
gdm[3153]:     log_level=G_LOG_LEVEL_CRITICAL, 
gdm[3153]:     format=0x572395 "%s: assertion `%s' failed", args1=0xbfa7318c "JJa")
gdm[3153]:     at gmessages.c:503
gdm[3153]: #6  0x0051e686 in IA__g_log (log_domain=0x61313c "GLib-GObject", 
gdm[3153]:     log_level=G_LOG_LEVEL_CRITICAL, 
gdm[3153]:     format=0x572395 "%s: assertion `%s' failed") at gmessages.c:517
gdm[3153]: #7  0x0051e8eb in IA__g_return_if_fail_warning (
gdm[3153]:     log_domain=0x61313c "GLib-GObject", 
gdm[3153]:     pretty_function=0x614a4a "g_object_unref", 
gdm[3153]:     expression=0x613d12 "G_IS_OBJECT (object)") at gmessages.c:532
gdm[3153]: #8  0x005eb57c in IA__g_object_unref (_object=0x0) at gobject.c:2371
gdm[3153]: #9  0x001c6738 in pango_fc_fontset_finalize (object=0xa569878)
gdm[3153]:     at pangofc-fontmap.c:842
gdm[3153]: #10 0x005eb693 in IA__g_object_unref (_object=0xa569878) at gobject.c:2421
gdm[3153]: #11 0x00505cd4 in g_hash_table_remove_node (hash_table=0xa04ba90, 
gdm[3153]:     node=0xa65d584, notify=1) at ghash.c:335
gdm[3153]: #12 0x005073dc in g_hash_table_remove_internal (hash_table=0xa04ba90, 
gdm[3153]:     key=<value optimized out>, notify=1) at ghash.c:980
gdm[3153]: #13 0x001c6f10 in pango_fc_fontset_cache (fcfontmap=<value optimized out>, 
gdm[3153]:     fontset=<value optimized out>) at pangofc-fontmap.c:1619
gdm[3153]: #14 pango_fc_font_map_load_fontset (fontmap=0xa007418, context=0xa1e7660, 
gdm[3153]:     desc=0xa61e260, language=0xa5b1004) at pangofc-fontmap.c:1656
gdm[3153]: #15 0x00ad5eca in pango_font_map_load_fontset (fontmap=0xa007418, 
gdm[3153]:     context=0xa1e7660, desc=0xa61e260, language=0xa5b1004)
gdm[3153]:     at pango-fontmap.c:138
gdm[3153]: #16 0x00ad3a4c in itemize_state_update_for_new_run (
gdm[3153]:     state=<value optimized out>) at pango-context.c:1288
gdm[3153]: #17 itemize_state_process_run (state=0xbfa734e4) at pango-context.c:1327
gdm[3153]: #18 0x00ad3f7f in pango_itemize_with_base_dir (context=0xa1e7660, 
gdm[3153]:     base_dir=PANGO_DIRECTION_LTR, text=0xa2a1260 "Gaeilge (Ã\211ire)", 
gdm[3153]:     start_index=0, length=15, attrs=0xa1e4f80, cached_iter=0xa5ae1d0)
gdm[3153]:     at pango-context.c:1466
gdm[3153]: #19 0x00adcd29 in pango_layout_check_lines (layout=0xa2a1a58)
gdm[3153]:     at pango-layout.c:3825
gdm[3153]: #20 0x00ade22b in pango_layout_get_extents_internal (layout=0xa2a1a58, 
gdm[3153]:     ink_rect=0x0, logical_rect=0xbfa738d0, line_extents=0x0)
gdm[3153]:     at pango-layout.c:2444
gdm[3153]: #21 0x00adfdfe in pango_layout_get_pixel_extents (layout=0xa2a1a58, 
gdm[3153]:     ink_rect=0x0, logical_rect=0xbfa738d0) at pango-layout.c:2648
gdm[3153]: #22 0x072474c6 in get_size (cell=0xa04cd60, widget=<value optimized out>, 
gdm[3153]:     cell_area=0xbfa73aa8, layout=0xa2a1a58, x_offset=0xbfa7395c, 
gdm[3153]:     y_offset=0xbfa73958, width=0x0, height=0x0) at gtkcellrenderertext.c:1542
gdm[3153]: #23 0x072478cc in gtk_cell_renderer_text_render (cell=0xa04cd60, 
gdm[3153]:     window=0xa252460, widget=0xa1d65d0, background_area=0xbfa73a98, 
gdm[3153]:     cell_area=0xbfa73aa8, expose_area=0xbfa73ab8, flags=0)
gdm[3153]:     at gtkcellrenderertext.c:1631
gdm[3153]: #24 0x0723f8f0 in IA__gtk_cell_renderer_render (cell=0xa04cd60, 
gdm[3153]:     window=0xa252460, widget=0xa1d65d0, background_area=0xbfa73a98, 
gdm[3153]:     cell_area=0xbfa73aa8, expose_area=0xbfa73ab8, flags=<value optimized out>)
gdm[3153]:     at gtkcellrenderer.c:578
gdm[3153]: #25 0x07428c2d in gtk_tree_view_column_cell_process_action (
gdm[3153]:     tree_column=<value optimized out>, window=<value optimized out>, 
gdm[3153]:     background_area=0xbfa73ca8, cell_area=0xbfa73c98, flags=0, action=0, 
gdm[3153]: ditable_widget=0x0, 
gdm[3153]:     event=0x0, path_string=0x0) at gtktreeviewcolumn.c:2802
gdm[3153]: #26 0x0742981c in _gtk_tree_view_column_cell_render (tree_column=0xa1bf448, 
gdm[3153]:     window=0xa252460, background_area=0xbfa73ca8, cell_area=0xbfa73c98, 
gdm[3153]:     expose_area=0xbfa74234, flags=0) at gtktreeviewcolumn.c:3135
gdm[3153]: #27 0x074235c9 in gtk_tree_view_bin_expose (widget=<value optimized out>, 
gdm[3153]:     event=<value optimized out>) at gtktreeview.c:4719
gdm[3153]: #28 0x07424e3a in gtk_tree_view_expose (widget=0xa1d65d0, event=0xbfa74228)
gdm[3153]:     at gtktreeview.c:4959
gdm[3153]: #29 0x07304738 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]:     invocation_hint=0xbfa73f80, marshal_data=0x7424d40) at gtkmarshalers.c:84
gdm[3153]: #30 0x005e79f9 in g_type_class_meta_marshal (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]:     invocation_hint=0xbfa73f80, marshal_data=0xc8) at gclosure.c:878
gdm[3153]: #31 0x005e9382 in IA__g_closure_invoke (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]:     invocation_hint=0xbfa73f80) at gclosure.c:767
gdm[3153]: #32 0x005ffd47 in signal_emit_unlocked_R (node=0xa020610, 
gdm[3153]:     detail=<value optimized out>, instance=0xa1d65d0, 
gdm[3153]:     emission_return=0xbfa740dc, instance_and_params=0xa664aa0)
gdm[3153]:     at gsignal.c:3282
gdm[3153]: #33 0x006012d0 in IA__g_signal_emit_valist (instance=0xa1d65d0, signal_id=40, 
gdm[3153]:     detail=0, var_args=0xbfa74140 "lA§¿\bÕ\001\nÈê[") at gsignal.c:2987
gdm[3153]: #34 0x006018c6 in IA__g_signal_emit (instance=0xa1d65d0, signal_id=40, 
gdm[3153]:     detail=0) at gsignal.c:3034
gdm[3153]: #35 0x07438cfe in gtk_widget_event_internal (widget=<value optimized out>, 
gdm[3153]:     event=0xbfa74228) at gtkwidget.c:4761
gdm[3153]: #36 0x072fd7b0 in IA__gtk_main_do_event (event=0xbfa74228) at gtkmain.c:1558
gdm[3153]: #37 0x0014b031 in gdk_window_process_updates_internal (window=0xa252460)
gdm[3153]:     at gdkwindow.c:2595
gdm[3153]: #38 0x0014ba37 in IA__gdk_window_process_all_updates () at gdkwindow.c:2661
gdm[3153]: #39 0x0014ba5b in gdk_window_update_idle (data=0x0) at gdkwindow.c:2505
gdm[3153]: #40 0x0012ee98 in gdk_threads_dispatch (data=0xa5b9dc0) at gdk.c:498
gdm[3153]: #41 0x005122f1 in g_idle_dispatch (source=0xa2a2528, callback=0, 
gdm[3153]:     user_data=0xa5b9dc0) at gmain.c:3922
gdm[3153]: #42 0x00514198 in g_main_dispatch (context=<value optimized out>)
gdm[3153]:     at gmain.c:1814
gdm[3153]: #43 IA__g_main_context_dispatch (context=0x9fe7ca0) at gmain.c:2367
gdm[3153]: #44 0x005177a8 in g_main_context_iterate (context=0x9fe7ca0, 
gdm[3153]:     block=<value optimized out>, dispatch=1, self=0x9fe3c10) at gmain.c:2448
gdm[3153]: #45 0x00517c5f in IA__g_main_loop_run (loop=0xa1cb2d8) at gmain.c:2656
gdm[3153]: #46 0x072fda39 in IA__gtk_main () at gtkmain.c:1205
gdm[3153]: #47 0x080531c5 in main (argc=1, argv=0xbfa745c4) at greeter-main.c:267
gdm[3153]: 
gdm[3153]: Thread 1 (Thread 0xb805d720 (LWP 3141)):
gdm[3153]: #0  0x004d02ce in __waitpid_nocancel () from /lib/libpthread.so.0
gdm[3153]: No symbol table info available.
gdm[3153]: #1  0x0806f6a9 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
gdm[3153]:         estatus = <value optimized out>
gdm[3153]: #2  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
gdm[3153]: st_mode = 33261, 
gdm[3153]: __pad2 = 0, 
gdm[3153]: st_blocks = 16, st_atim = {
gdm[3153]: 
gdm[3153]: 
gdm[3153]: __unused5 = 0}
gdm[3153]: #3  0x0806f7a1 in signal_handler (signo=-1079564500)
gdm[3153]:     at gdm-signal-handler.c:247
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #4  <signal handler called>
gdm[3153]: No symbol table info available.
gdm[3153]: #5  IA__g_logv (log_domain=<value optimized out>, 
gdm[3153]:     log_level=G_LOG_LEVEL_CRITICAL, 
gdm[3153]:     format=0x572395 "%s: assertion `%s' failed", args1=0xbfa7318c "JJa")
gdm[3153]:     at gmessages.c:503
gdm[3153]: 
gdm[3153]:         domain = <value optimized out>
gdm[3153]:         data = 0x0
gdm[3153]:         log_func = 0x4a32c0
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         i = <value optimized out>
gdm[3153]: #6  0x0051e686 in IA__g_log (log_domain=0x61313c "GLib-GObject", 
gdm[3153]:     log_level=G_LOG_LEVEL_CRITICAL, 
gdm[3153]:     format=0x572395 "%s: assertion `%s' failed") at gmessages.c:517
gdm[3153]: No locals.
gdm[3153]: #7  0x0051e8eb in IA__g_return_if_fail_warning (
gdm[3153]:     log_domain=0x61313c "GLib-GObject", 
gdm[3153]:     pretty_function=0x614a4a "g_object_unref", 
gdm[3153]:     expression=0x613d12 "G_IS_OBJECT (object)") at gmessages.c:532
gdm[3153]: No locals.
gdm[3153]: #8  0x005eb57c in IA__g_object_unref (_object=0x0) at gobject.c:2371
gdm[3153]:         object = 0x0
gdm[3153]:         old_ref = <value optimized out>
gdm[3153]: 
gdm[3153]: #9  0x001c6738 in pango_fc_fontset_finalize (object=0xa569878)
gdm[3153]:     at pangofc-fontmap.c:842
gdm[3153]:         fontset = 0xa569878
gdm[3153]: 
gdm[3153]: #10 0x005eb693 in IA__g_object_unref (_object=0xa569878) at gobject.c:2421
gdm[3153]:         object = 0xa569878
gdm[3153]:         old_ref = <value optimized out>
gdm[3153]: 
gdm[3153]: #11 0x00505cd4 in g_hash_table_remove_node (hash_table=0xa04ba90, 
gdm[3153]:     node=0xa65d584, notify=1) at ghash.c:335
gdm[3153]: No locals.
gdm[3153]: #12 0x005073dc in g_hash_table_remove_internal (hash_table=0xa04ba90, 
gdm[3153]:     key=<value optimized out>, notify=1) at ghash.c:980
gdm[3153]:         node = 0x2
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #13 0x001c6f10 in pango_fc_fontset_cache (fcfontmap=<value optimized out>, 
gdm[3153]:     fontset=<value optimized out>) at pangofc-fontmap.c:1619
gdm[3153]:         priv = 0xa007438
gdm[3153]:         cache = 0xa052120
gdm[3153]: #14 pango_fc_font_map_load_fontset (fontmap=0xa007418, context=0xa1e7660, 
gdm[3153]:     desc=0xa61e260, language=0xa5b1004) at pangofc-fontmap.c:1656
gdm[3153]:         priv = 0xa007438
gdm[3153]:         fontset = 0xa569768
gdm[3153]:         key = {fontmap = 0xa007418, language = 0xa5b1004, desc = 0xa4e9b80, 
gdm[3153]: y0 = 0}, 
gdm[3153]: resolution = 96.24609375, 
gdm[3153]: 
gdm[3153]: #15 0x00ad5eca in pango_font_map_load_fontset (fontmap=0xa007418, 
gdm[3153]:     context=0xa1e7660, desc=0xa61e260, language=0xa5b1004)
gdm[3153]:     at pango-fontmap.c:138
gdm[3153]: 
gdm[3153]: #16 0x00ad3a4c in itemize_state_update_for_new_run (
gdm[3153]:     state=<value optimized out>) at pango-context.c:1288
gdm[3153]: No locals.
gdm[3153]: #17 itemize_state_process_run (state=0xbfa734e4) at pango-context.c:1327
gdm[3153]:         p = <value optimized out>
gdm[3153]:         last_was_forced_break = <value optimized out>
gdm[3153]: 
gdm[3153]: #18 0x00ad3f7f in pango_itemize_with_base_dir (context=0xa1e7660, 
gdm[3153]:     base_dir=PANGO_DIRECTION_LTR, text=0xa2a1260 "Gaeilge (Ã\211ire)", 
gdm[3153]:     start_index=0, length=15, attrs=0xa1e4f80, cached_iter=0xa5ae1d0)
gdm[3153]:     at pango-context.c:1466
gdm[3153]: text = 0xa2a1260 "Gaeilge (Ã\211ire)", 
gdm[3153]: run_start = 0xa2a1260 "Gaeilge (Ã\211ire)", 
gdm[3153]: , result = 0x0, item = 0x0, 
gdm[3153]: embedding_end_offset = 14, 
gdm[3153]: embedding = 0 '\0', 
gdm[3153]: , 
gdm[3153]: , 
gdm[3153]: , 
gdm[3153]: centered_baseline = 0, 
gdm[3153]: attr_end = 0xa2a126f "", 
gdm[3153]:           font_desc = 0xa61e260, lang = 0xa5b1004, extra_attrs = 0x0, 
gdm[3153]: changed = 31, script_iter = 0xa7b2000, 
gdm[3153]: script = PANGO_SCRIPT_LATIN, 
gdm[3153]:           derived_lang = 0xa5b1004, lang_engine = 0x0, current_fonts = 0x0, 
gdm[3153]: enable_fallback = 1, 
gdm[3153]: fallback_engines = 0x0}
gdm[3153]: 
gdm[3153]: #19 0x00adcd29 in pango_layout_check_lines (layout=0xa2a1a58)
gdm[3153]:     at pango-layout.c:3825
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         attrs = 0xa1e4f80
gdm[3153]:         no_shape_attrs = 0x0
gdm[3153]:         iter = 0xa5ae1d0
gdm[3153]: 
gdm[3153]: 
gdm[3153]: remaining_height = -1, attrs = 0xa1e4f80, 
gdm[3153]: line_of_par = 13384072, 
gdm[3153]: start_offset = 13371334, properties = {
gdm[3153]: strikethrough = 13570424, 
gdm[3153]: shape_set = 24, 
gdm[3153]: shape_logical_rect = 0xd044ea}, 
gdm[3153]: log_widths_offset = 170529376, 
gdm[3153]: line_start_offset = 13656336, 
gdm[3153]: remaining_width = 167790624}
gdm[3153]: 
gdm[3153]: #20 0x00ade22b in pango_layout_get_extents_internal (layout=0xa2a1a58, 
gdm[3153]:     ink_rect=0x0, logical_rect=0xbfa738d0, line_extents=0x0)
gdm[3153]:     at pango-layout.c:2444
gdm[3153]:         line_list = <value optimized out>
gdm[3153]:         y_offset = <value optimized out>
gdm[3153]:         width = <value optimized out>
gdm[3153]:         need_width = <value optimized out>
gdm[3153]: 
gdm[3153]: #21 0x00adfdfe in pango_layout_get_pixel_extents (layout=0xa2a1a58, 
gdm[3153]:     ink_rect=0x0, logical_rect=0xbfa738d0) at pango-layout.c:2648
gdm[3153]: 
gdm[3153]: #22 0x072474c6 in get_size (cell=0xa04cd60, widget=<value optimized out>, 
gdm[3153]:     cell_area=0xbfa73aa8, layout=0xa2a1a58, x_offset=0xbfa7395c, 
gdm[3153]:     y_offset=0xbfa73958, width=0x0, height=0x0) at gtkcellrenderertext.c:1542
gdm[3153]: width = 175842832, 
gdm[3153]: 
gdm[3153]: #23 0x072478cc in gtk_cell_renderer_text_render (cell=0xa04cd60, 
gdm[3153]:     window=0xa252460, widget=0xa1d65d0, background_area=0xbfa73a98, 
gdm[3153]:     cell_area=0xbfa73aa8, expose_area=0xbfa73ab8, flags=0)
gdm[3153]:     at gtkcellrenderertext.c:1631
gdm[3153]:         layout = 0xa2a1a58
gdm[3153]:         state = <value optimized out>
gdm[3153]:         x_offset = <value optimized out>
gdm[3153]:         y_offset = <value optimized out>
gdm[3153]:         priv = 0xa04cdc8
gdm[3153]: #24 0x0723f8f0 in IA__gtk_cell_renderer_render (cell=0xa04cd60, 
gdm[3153]: 60, widget=0xa1d65d0, background_area=0xbfa73a98, 
gdm[3153]:     cell_area=0xbfa73aa8, expose_area=0xbfa73ab8, flags=<value optimized out>)
gdm[3153]:     at gtkcellrenderer.c:578
gdm[3153]: 
gdm[3153]: #25 0x07428c2d in gtk_tree_view_column_cell_process_action (
gdm[3153]:     tree_column=<value optimized out>, window=<value optimized out>, 
gdm[3153]:     background_area=0xbfa73ca8, cell_area=0xbfa73c98, flags=0, action=0, 
gdm[3153]: editable_widget=0x0, 
gdm[3153]:     event=0x0, path_string=0x0) at gtktreeviewcolumn.c:2802
gdm[3153]:         info = 0xa2a3858
gdm[3153]:         list = <value optimized out>
gdm[3153]: height = 23}
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         full_requested_width = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         max_y = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         first_cell = <value optimized out>
gdm[3153]: 
gdm[3153]: height = 21}
gdm[3153]: height = 25}
gdm[3153]: 
gdm[3153]: #26 0x0742981c in _gtk_tree_view_column_cell_render (tree_column=0xa1bf448, 
gdm[3153]:     window=0xa252460, background_area=0xbfa73ca8, cell_area=0xbfa73c98, 
gdm[3153]:     expose_area=0xbfa74234, flags=0) at gtktreeviewcolumn.c:3135
gdm[3153]: 
gdm[3153]: #27 0x074235c9 in gtk_tree_view_bin_expose (widget=<value optimized out>, 
gdm[3153]:     event=<value optimized out>) at gtktreeview.c:4719
gdm[3153]:         column = 0xa1bf448
gdm[3153]:         detail = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         tree_view = <value optimized out>
gdm[3153]:         path = <value optimized out>
gdm[3153]:         tree = 0xa4236c8
gdm[3153]:         list = 0xa1e7c50
gdm[3153]:         node = 0xa47c900
gdm[3153]:         cursor = 0xa444640
gdm[3153]:         cursor_tree = 0xa4236c8
gdm[3153]:         drag_highlight = 0x0
gdm[3153]: _highlight_tree = 0x0
gdm[3153]: stamp = 777744781, user_data = 0xa4228b0, 
gdm[3153]: user_data3 = 0x0}
gdm[3153]:         new_y = <value optimized out>
gdm[3153]: 
gdm[3153]:         cell_offset = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: height = 25}
gdm[3153]: height = 23}
gdm[3153]:         flags = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         cursor_path = 0xa5e8b50
gdm[3153]:         drag_dest_path = 0x0
gdm[3153]:         first_column = <value optimized out>
gdm[3153]:         last_column = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         n_visible_columns = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #28 0x07424e3a in gtk_tree_view_expose (widget=0xa1d65d0, event=0xbfa74228)
gdm[3153]:     at gtktreeview.c:4959
gdm[3153]:         retval = <value optimized out>
gdm[3153]:         tmp_list = <value optimized out>
gdm[3153]:         tree_view = 0xa1d65d0
gdm[3153]: #29 0x07304738 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]: vocation_hint=0xbfa73f80, marshal_data=0x7424d40) at gtkmarshalers.c:84
gdm[3153]:         data1 = 0xa1d65d0
gdm[3153]:         data2 = 0xa01d508
gdm[3153]:         v_return = <value optimized out>
gdm[3153]: 
gdm[3153]: #30 0x005e79f9 in g_type_class_meta_marshal (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]:     invocation_hint=0xbfa73f80, marshal_data=0xc8) at gclosure.c:878
gdm[3153]:         callback = <value optimized out>
gdm[3153]: #31 0x005e9382 in IA__g_closure_invoke (closure=0xa020510, 
gdm[3153]:     return_value=0xbfa73f94, n_param_values=2, param_values=0xa664aa0, 
gdm[3153]:     invocation_hint=0xbfa73f80) at gclosure.c:767
gdm[3153]:         marshal = 0x5e79b0 <g_type_class_meta_marshal>
gdm[3153]:         marshal_data = 0xc8
gdm[3153]: 
gdm[3153]: #32 0x005ffd47 in signal_emit_unlocked_R (node=0xa020610, 
gdm[3153]:     detail=<value optimized out>, instance=0xa1d65d0, 
gdm[3153]:     emission_return=0xbfa740dc, instance_and_params=0xa664aa0)
gdm[3153]:     at gsignal.c:3282
gdm[3153]:         accumulator = 0xa020498
gdm[3153]: 
gdm[3153]: run_type = G_SIGNAL_RUN_LAST}, 
gdm[3153]: chain_type = 167824944}
gdm[3153]:         class_closure = 0xa020510
gdm[3153]:         handler_list = 0x0
gdm[3153]:         return_accu = <value optimized out>
gdm[3153]: v_long = 0, 
gdm[3153]: v_float = 0, 
gdm[3153]: v_uint = 0, 
gdm[3153]: 
gdm[3153]: v_pointer = 0x0}}}
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #33 0x006012d0 in IA__g_signal_emit_valist (instance=0xa1d65d0, signal_id=40, 
gdm[3153]:     detail=0, var_args=0xbfa74140 "lA§¿\bÕ\001\nÈê[") at gsignal.c:2987
gdm[3153]: v_uint = 0, 
gdm[3153]: 
gdm[3153]: v_int = 0, 
gdm[3153]: v_uint64 = 0, 
gdm[3153]: v_pointer = 0x0}}}
gdm[3153]:         error = <value optimized out>
gdm[3153]: 
gdm[3153]:         node = 0xa020610
gdm[3153]:         i = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #34 0x006018c6 in IA__g_signal_emit (instance=0xa1d65d0, signal_id=40, 
gdm[3153]:     detail=0) at gsignal.c:3034
gdm[3153]: No locals.
gdm[3153]: #35 0x07438cfe in gtk_widget_event_internal (widget=<value optimized out>, 
gdm[3153]:     event=0xbfa74228) at gtkwidget.c:4761
gdm[3153]:         signal_num = <value optimized out>
gdm[3153]: 
gdm[3153]: #36 0x072fd7b0 in IA__gtk_main_do_event (event=0xbfa74228) at gtkmain.c:1558
gdm[3153]:         event_widget = 0xa1d65d0
gdm[3153]:         grab_widget = <value optimized out>
gdm[3153]:         window_group = 0xa1dbc70
gdm[3153]:         rewritten_event = 0x0
gdm[3153]:         tmp_list = <value optimized out>
gdm[3153]: 
gdm[3153]: #37 0x0014b031 in gdk_window_process_updates_internal (window=0xa252460)
gdm[3153]:     at gdkwindow.c:2595
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: send_event = 0 '\0'}, expose = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: height = 28}, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: send_event = 0 '\0'}, visibility = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: time = 0, 
gdm[3153]: y = 3.9970550977703557e-260, 
gdm[3153]: is_hint = -32184, 
gdm[3153]: x_root = 2.8801970856796384e-308, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: time = 0, 
gdm[3153]: y = 3.9970550977703557e-260, 
gdm[3153]: button = 167805512, 
gdm[3153]: x_root = 2.8801970856796384e-308, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: time = 0, 
gdm[3153]: y = 3.9970550977703557e-260, 
gdm[3153]: direction = 1819400, device = 0xa008248, 
gdm[3153]: 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: state = 517, 
gdm[3153]: string = 0xa13aa80 "\002", 
gdm[3153]: is_modifier = 0}, 
gdm[3153]: type = GDK_EXPOSE, window = 0xa252460, 
gdm[3153]: time = 517, 
gdm[3153]: y = 8.3527228199041815e-316, 
gdm[3153]: y_root = -0.045429469319178906, 
gdm[3153]: focus = 167789232, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: in = 2558}, configure = {
gdm[3153]: 
gdm[3153]: height = 28}, property = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: state = 462}, selection = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: time = 28, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: reason = 517, 
gdm[3153]: selection_time = 169060992}, 
gdm[3153]: type = GDK_EXPOSE, window = 0xa252460, 
gdm[3153]: device = 0x205}, client = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: data_format = 517, data = {
gdm[3153]: 28, 
gdm[3153]: type = GDK_EXPOSE, 
gdm[3153]: 
gdm[3153]: y_root = 0}, window_state = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: new_window_state = 517}, setting = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: , 
gdm[3153]: , grab_broken = {
gdm[3153]: send_event = 0 '\0', 
gdm[3153]: grab_window = 0x1ce}}
gdm[3153]: height = 545}
gdm[3153]:         expose_region = 0xa5aee20
gdm[3153]:         window_region = <value optimized out>
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]: #38 0x0014ba37 in IA__gdk_window_process_all_updates () at gdkwindow.c:2661
gdm[3153]:         old_update_windows = 0xa5e9480
gdm[3153]:         tmp_list = 0xa5e9480
gdm[3153]: #39 0x0014ba5b in gdk_window_update_idle (data=0x0) at gdkwindow.c:2505
gdm[3153]: No locals.
gdm[3153]: #40 0x0012ee98 in gdk_threads_dispatch (data=0xa5b9dc0) at gdk.c:498
gdm[3153]: 
gdm[3153]: #41 0x005122f1 in g_idle_dispatch (source=0xa2a2528, callback=0, 
gdm[3153]:     user_data=0xa5b9dc0) at gmain.c:3922
gdm[3153]: No locals.
gdm[3153]: #42 0x00514198 in g_main_dispatch (context=<value optimized out>)
gdm[3153]:     at gmain.c:1814
gdm[3153]:         dispatch = 0x5122d0 <g_idle_dispatch>
gdm[3153]:         user_data = 0xa5b9dc0
gdm[3153]:         callback = 0x12ee30 <gdk_threads_dispatch>
gdm[3153]:         cb_funcs = 0x5be65c
gdm[3153]:         cb_data = 0xa24ffb8
gdm[3153]: next = 0x0}
gdm[3153]:         source = 0xa2a2528
gdm[3153]:         current = 0xa03e8e0
gdm[3153]: 
gdm[3153]: #43 IA__g_main_context_dispatch (context=0x9fe7ca0) at gmain.c:2367
gdm[3153]: No locals.
gdm[3153]: #44 0x005177a8 in g_main_context_iterate (context=0x9fe7ca0, 
gdm[3153]:     block=<value optimized out>, dispatch=1, self=0x9fe3c10) at gmain.c:2448
gdm[3153]: 
gdm[3153]: 
gdm[3153]: 
gdm[3153]:         nfds = <value optimized out>
gdm[3153]:         allocated_nfds = <value optimized out>
gdm[3153]:         fds = <value optimized out>
gdm[3153]: 
gdm[3153]: #45 0x00517c5f in IA__g_main_loop_run (loop=0xa1cb2d8) at gmain.c:2656
gdm[3153]:         self = 0x9fe3c10
gdm[3153]: 
gdm[3153]: #46 0x072fda39 in IA__gtk_main () at gtkmain.c:1205
gdm[3153]:         tmp_list = 0xbfa75fab
gdm[3153]:         functions = 0x0
gdm[3153]:         init = 0x8052db0
gdm[3153]:         loop = 0xa1cb2d8
gdm[3153]: #47 0x080531c5 in main (argc=1, argv=0xbfa745c4) at greeter-main.c:267
gdm[3153]:         error = 0x0
gdm[3153]:         session = <value optimized out>
gdm[3153]:         res = <value optimized out>
gdm[3153]:         signal_handler = <value optimized out>
gdm[3153]: 
gdm[3153]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
gdm[3153]: ******************* END **********************************
Comment 1 Matthias Clasen 2009-02-27 22:14:51 EST
*** Bug 487259 has been marked as a duplicate of this bug. ***
Comment 2 Behdad Esfahbod 2009-03-02 17:01:40 EST
Will hit rawhide tonight or tomorrow.

commit 14fe6f79c37d83863e8fcc092b42233db3ad9760
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 3 01:30:03 2009 +0330

    [pangofc-fontmap] Don't unref NULL object (RH bug# 487593)
Comment 3 Matthias Clasen 2009-03-11 14:12:59 EDT
*** Bug 489733 has been marked as a duplicate of this bug. ***
Comment 4 Matthias Clasen 2009-03-11 20:54:23 EDT
Fixed in rawhide today.

Note You need to log in before you can comment on or make changes to this bug.